# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cool_hash/version'

Gem::Specification.new do |spec|
  spec.name = 'cool_hash'
  spec.version = CoolHash::VERSION
  spec.authors = ['MichaelAChrisco']
  spec.email = ['michaelachrisco@gmail.com']

  spec.summary = 'Cool Hash: Cool hash extensions.'
  spec.description = 'Collection of cool hash extensions.'
  spec.homepage = 'https://github.com/michaelachrisco/cool_hash'
  spec.license = 'MIT'

  spec.files = `git ls-files -z`.split("\x0")
    .reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.add_runtime_dependency 'hashie'
  spec.add_runtime_dependency 'hashery'
  spec.add_runtime_dependency 'plissken'
  spec.add_runtime_dependency 'awrence'
  spec.add_development_dependency 'bundler', '~> 1.8'
  spec.add_development_dependency 'rake', '~> 10.0'
end
